Loading...
Searching...
No Matches
osim_card_app_profile Struct Reference

A card application (e.g. More...

`#include <sim.h>`

## Data Fields

struct llist_head | list
| entry in the global list of card application profiles
const char * | name
| human-readable name
uint8_t | aid [MAX_AID_LEN]
| AID of this application, as used in EF.DIR.
uint8_t | aid_len
struct osim_file_desc * | adf
| file system description
const struct osim_card_sw * | sw
| Status words defined by application.

## Detailed Description

A card application (e.g.

USIM, ISIM, HPSIM)

## Field Documentation

## adf

struct osim_file_desc* osim_card_app_profile::adf

file system description

Referenced by osim_aprof_hpsim(), osim_aprof_isim(), and osim_aprof_usim().

## aid

uint8_t osim_card_app_profile::aid[MAX_AID_LEN]

AID of this application, as used in EF.DIR.

Referenced by osim_app_profile_find_by_aid(), osim_app_profile_register(), osim_aprof_hpsim(), osim_aprof_isim(), and osim_aprof_usim().

## aid_len

uint8_t osim_card_app_profile::aid_len

Referenced by osim_app_profile_find_by_aid(), osim_app_profile_register(), osim_aprof_hpsim(), osim_aprof_isim(), and osim_aprof_usim().

## list

struct llist_head osim_card_app_profile::list

entry in the global list of card application profiles

Referenced by osim_app_profile_find_by_aid(), osim_app_profile_find_by_name(), and osim_app_profile_register().

## name

const char* osim_card_app_profile::name

human-readable name

Referenced by osim_app_profile_find_by_name(), osim_app_profile_register(), osim_aprof_hpsim(), osim_aprof_isim(), and osim_aprof_usim().

## sw

const struct osim_card_sw* osim_card_app_profile::sw

Status words defined by application.

Referenced by osim_app_profile_find_sw(), osim_aprof_hpsim(), osim_aprof_isim(), and osim_aprof_usim().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h